nli2work

[1.1.2] Orbital Utility Vehicle v1.2.4

Recommended Posts

3 hours ago, ArkaelDren said:

Hey Deimost, Leon???  You guys done cause it was getting interesting then nothing for almost a month?  Please do continue

Hi @ArkaelDren. I think, Deimos released a stable version and i played with a setting for "more realism" with the helper drones. I'm not a casual guy, i always look for the harder/ complicated way. What do you want/ need/ mean with "getting interesting"?

Share this post


Link to post
Share on other sites

No it just seemed as if you guys were still hashing out ideas and so I thought you guys hadn't finished, or agreed on a final patch/specs just yet.  But I did grab the finals up above and I am enjoying the outcome so far.  If finished, thanks for the workup, def makes it a better feel, having purpose built parts for this type of craft.  I always built mine with the Infernal Robotics Gantrys with RCS modules on the ends, to adjust balance due to length and or weight of payload, but this system just gives a great start platform that eliminates the large transit side of a tug operation.  So yeah, really digging this Mod, so thx again for getting it up and running.  Now if I can convince someone to get QuantumStruts up and running, my base building/recovery of assets will be complete.

:cool: From Oregon, Dren

Share this post


Link to post
Share on other sites
On 11/25/2016 at 9:40 AM, LeLeon said:

Hi @ArkaelDren. I think, Deimos released a stable version and i played with a setting for "more realism" with the helper drones. I'm not a casual guy, i always look for the harder/ complicated way. What do you want/ need/ mean with "getting interesting"?

Forgive me for the question, I'm a noob here. Do I need the older version in order for these "patches" files to work, or are these latest files all I need to install and run the mod?

Share this post


Link to post
Share on other sites
1 hour ago, IraqiWalker said:

Forgive me for the question, I'm a noob here. Do I need the older version in order for these "patches" files to work, or are these latest files all I need to install and run the mod?

this is the working version and all you need.

 

this is optional from me, with few changes listed in spoiler. Useful if you want to use the small helper drones:

 

Edited by LeLeon

Share this post


Link to post
Share on other sites
13 hours ago, LeLeon said:

this is the working version and all you need.

 

this is optional from me, with few changes listed in spoiler. Useful if you want to use the small helper drones:

 

Thank you, XD. I love the style of the ship.

Share this post


Link to post
Share on other sites

My Helper Drones aren't responding to RCS commands. I'm running KSP 1.2.2 and using CKAN for most of my mods so I'm using OUV 1.2.4 from there.

The helper drone is within 100m of the command module of the station I'm building, it's loaded with mono. I can control the grabber, and turn the light on and off. I've got RCS on and I've adjusted the thirst limiter up to 100% with no change.

What am I missing?

Edited by DaMacGuy

Share this post


Link to post
Share on other sites

Any chance of an actual 1.2.x package release?  Would make things a bit easier to track with the other mods I run. 

Share this post


Link to post
Share on other sites
Quote

Do not use any grappler parts as vessel Root. 

Must resist not setting part as root!  Roooooot!

Share this post


Link to post
Share on other sites
On 11/1/2016 at 9:19 AM, Deimos Rast said:

@nli2work

So I went ahead and updated this - completely, and then some - for 1.2 and everything tested successfully, so I figured I'd share it.

As a matter of disclosure: I also gave the parts a balance pass, some more than others. Everyone's favorite, the extendable engine, was hit a bit hard (mainly in the cost area), but nothing out of line with the stock NERV. Indeed, everything was compared to a comparable stock counterpart.

I also: converted the ModuleRCS to the new ModuleRCSFX and added RCS soundFX. I tied all lights into the Light action group, added hibernation, kerbnet, data transmitters, everything now has tags and fixed/updated bulkheadprofiles, etc etc. See changelog below (also included in the download) for an exhaustive list of changes made.

And I fixed a couple of bugs as well; behind the scenes stuff that I doubt anyone really noticed or even affected anything (differing double entries, that sort of thing), but meh.

If people aren't keen on me taking license and balancing all the things ('cuz really, who am I to say what's what?), I'm fine with releasing a second version with just the essentials in it (the new 1.2 goodies, added tags, updated bulkheads, etc). Or you can make the changes yourself - I generally left in the old/original values next to my adjusted values, behind a double slash //. And if you really don't like my engine changes (which honestly aren't that bad), you can just delete "OT_Engines.cfg" entirely. No hard feelings, promise.:)

Happy Halloween.

 

Installation Just extract the folder "TugPatches" into your GameData folder. Requires ModuleManager, as these are just MM patches. Pretty straightforward.

Credits Credit for "OrbitalTug" belongs to @nli2work ; credit for "TugPatches" belongs to @Deimos Rast. All bugs contained therein also belong to Deimos Rast.

License Not sure this even needs one, and I don't really care, but some people do, so let's go with the OP's license of "CC-BY-NC-SA 4.0". nli2work is, of course, more than welcome to use any and all of these patches or their contents, as he so chooses. Or not. That's cool too. :)

Changelog here

Download here

 

EDIT:

@LeLeon @Scotius Done.

Wow, these look like great changes to a great mod! I will definetly download this and take a look!

Share this post


Link to post
Share on other sites

 *chooses renegade option* at this point I DONT CARE if threads are old if anything I think older threads could use some attention but on to the main point any chance this could be uploaded to ckan so people could download it and let the computer do all the file sorting? because when it comes to finding files 98% of the time I have no idea where the hell I'm supposed to put something

Share this post


Link to post
Share on other sites
20 hours ago, mindseyemodels said:

 *chooses renegade option* at this point I DONT CARE if threads are old if anything I think older threads could use some attention but on to the main point any chance this could be uploaded to ckan so people could download it and let the computer do all the file sorting? because when it comes to finding files 98% of the time I have no idea where the hell I'm supposed to put something

It's on CKAN....for 1.1.2. Really shouldn't be expecting something from a mod that hasn't been updated since a year ago.

Share this post


Link to post
Share on other sites

Good evening, could you upgrade to version 1.3.0? I'm a fan of this mod it helps me a lot = D. Of course as soon as possible. Thank you.

Share this post


Link to post
Share on other sites
57 minutes ago, Catatau_27 said:

Good evening, could you upgrade to version 1.3.0? I'm a fan of this mod it helps me a lot = D. Of course as soon as possible. Thank you.

So several things.

First- 

 

Second, from 2 posts above yours:

It's on CKAN....for 1.1.2. Really shouldn't be expecting something from a mod that hasn't been updated since a year ago.

And last,

This sounds like a great time to dip your feet into the modding world.  Many who have no background have created mods for KSP.  If nobody has stepped up in the last year to take over and update this mod, then it isn't likely to happen unless a big fan of this mod decides to...Hey wait, you just said you are a fan. :D

 

Share this post


Link to post
Share on other sites

Okay, @Catatau_27, considering you're on the hunt for mods (I am presuming you're a brand new player into KSP, and this is literally the first time you're in the forums, and into downloading and installing mods, and into the forum culture in general)it looks like you're about to walk into a minefield asking for updates. So, if you don't mind, if it can help for future interaction in these forums, please consider the following tips. They're behind the spoiler below, just click it to open and read. And I promise, if you still haven't gotten this mod to work yet, it will reward you in the end, literally. 

Spoiler

 

First, before asking for updates to a mod (and like @goldenpsp said and quoted, it's happened so many times that it's making mod authors mad) it's good etiquette to read the past ten pages of the topic post the mod is in to see if either an update is coming, or if someone has posted an unofficial update for the mod, or even if it would work in the current version of KSP you're playing, even without the update. Someone might have already answered your question even before you asked. Now, considering that it seems whenever you quote us, we see our quotes translated into another language, that English might not be your first language and that you're reading this through an autotranslator, so it might be a lot more work to read the past ten pages than an English-native forum user. Still, do try, as it is a good-faith action on the part of the mod user to actually do a bit of research on whether or not the mod is still working for others in the present version of KSP. I actually try as much as possible to read twenty pages even, to be sure.

You can even use Google to help you there, by typing for example "[Name of Mod] KSP 1.3" to see what the browser can dig up from the forums. Same thing with the search function in this forum. Again, could be harder for you than most since it seems English is not your first language. But it pays to put in the work first around here. 

Second: you can try asking instead how the mod has been working for others. Honestly, that question can be nagging as well, and if you spam multiple mod threads with the same question it might also be treated the same way as asking for an update, so don't overdo it. Do the first tip first before doing so, most definitely. But you're bound to get a more useful answer, because at least users may volunteer information on whether the the mod, even if updated, is working or not, or if there are any conflicts with other mods or limitations to note. (And it is marginally more polite than nagging a mod author for updates. Marginally, though, so again no spamming mod threads with "Does the mod work for you?" either, at least not without reading the past ten pages first.

Finally: there is no harm in testing out if the mod works yourself! Yeah, 1.3 is a different animal compared to 1.1.x--or 1.0.x for that matter--but sometimes one might be surprised at what turns out. If you're worried that it might affect a current save, you can copy your KSP folder (yes, even the one in Steam) into another location on your hard drive, and it will be treated as a separate installation of KSP, complete with its own mod list. People around here do that to create multiple game playthroughs with different mod installations, and also as a laboratory to test old mods, or modifications they would make to mods. I did that for Universal Docking Ports, a mod that hasn't seen any update since the 1.0.x days, after noting that someone tested it in 1.2, and I was able to confirm that it works for 1.3. 

Ultimately, you have to assume there's no guarantee that a mod would be updated alongside KSP--life can get in the way sometimes, and sometimes people just move on to other things. But the nice thing about a community is that, if we decide something is too good to give up on, we find ways to make it work, within the limits of the share/modify license attached to the mod. Let that community help, the tips above are how you can do so. 

Okay, I hope you made it through to the end of this long post, because now you can get back to the fun part. Now, if you still haven't found the answer to whether this mod has been updated or not (and to be fair, golden's answer is the standard answer he gives to "Please Update This Mod" posts all over the forums, which you still need to pay attention to, by the way), then this is your reward for doing so: there is an unofficial update to make it work.

https://forum.kerbalspaceprogram.com/index.php?/topic/133162-112-orbital-utility-vehicle-v124/&page=8&tab=comments#comment-2832812

First, download and install the main Orbital Utility Vehicle mod from the first page. Then, go to the link above, read what it offers (because it does change a few things from the 1.1.2 compatible original), and then download the patches @Deimos Rast made, and extract the files anywhere inside your GameData (though to keep things organized, you can make a folder named "AssortedPatches" inside GameData and place the patches there, don't worry it will still work).

And yes, with these patches the mod will work in 1.3. So far no problems from my end using it. Just remember that you have to set the nuclear engines' Mode to use the fuel you want (LF or Monopropellant), pay attention to which direction those engines will fire, don't use any of the grapplers as the root part of the vessel like @nli2work said, and if you're going to use Nertea's Kerbal Atomics mod, those engines will use Liquid Hydrogen instead of LF unless you take out the patch for this mod that is located inside Kerbal Atomics' folder named "Patches." 

 

 

Share this post


Link to post
Share on other sites
4 hours ago, B-STRK said:

Ok, @ Catatau_27 , considerando que você está procurando por mods (eu estou presumindo que você é um novo jogador no KSP, e isso é literalmente a primeira vez que você está nos fóruns e para baixar e instalar mods, e na cultura do fórum em geral) parece que você está prestes a entrar num campo minado pedindo atualizações. Então, se você não se importar, se isso pode ajudar a futuras interações nesses fóruns, considere as seguintes dicas. Eles estão atrás do spoiler abaixo, basta clicar nele para abrir e ler. E eu prometo que, se você ainda não conseguiu esse modário funcionar, ele irá recompensá-lo no final, literalmente. 

  Ocultar conteúdo

 

Primeiro, antes de pedir atualizações para um mod (e como @goldenpsp disse e citado, aconteceu tantas vezes que está fazendo com que os autores de modelos sejam loucos) é uma boa etiqueta para ler as últimas dez páginas do tópico em que o mod está para ver se uma atualização está chegando ou se alguém postou uma atualização não oficial para o mod, ou mesmo se ele funcionasse na versão atual do KSP que você está jogando, mesmo sem a atualização. Alguém talvez já tenha respondido sua pergunta, mesmo antes de você ter perguntado. Agora, considerando que parece que sempre que você nos cita, vemos nossas cotações traduzidas para outro idioma, que o inglês pode não ser seu primeiro idioma e que você está lendo isso através de um autotranslator, então pode ser muito mais trabalho para ler o dez páginas passadas do que um usuário do fórum nativo da língua inglesa. Ainda assim, tente, uma vez que é uma ação de boa-fé por parte do usuário de modificação fazer um pouco de pesquisa sobre se o mod ainda está funcionando para outros na atual versão do KSP. Na verdade, tento o máximo possível para ler vinte páginas mesmo, para ter certeza.

Você pode até usar o Google para ajudá-lo, digitando, por exemplo, "[Nome do Mod] KSP 1.3" para ver o que o navegador pode desenterrar dos fóruns. A mesma coisa com a função de pesquisa neste fórum. Novamente, pode ser mais difícil para você do que a maioria, pois parece que o inglês não é o seu primeiro idioma. Mas vale a pena colocar o trabalho primeiro por aqui. 

Segundo: você pode tentar perguntar em vez disso como o mod tem trabalhado para outros. Honestamente, essa pergunta pode ser irritante também, e se você manda múltiplos threads de modificação com a mesma pergunta, ela também pode ser tratada da mesma maneira que pedir uma atualização, então não exagere. Faça a primeira dica antes de fazê-lo, definitivamente. Mas você é obrigado a obter uma resposta mais útil, porque pelo menos os usuários podem oferecer informações sobre se o mod, mesmo que atualizado, está funcionando ou não, ou se há algum conflito com outros mods ou limitações a serem observados. (E é marginalmente mais educado do que irritar um autor de modificações por atualizações. Marginalmente, porém, então, de novo, não há spams de modificação de spam com "O mod funciona para você?", Pelo menos não sem ler as últimas dez páginas primeiro.

Finalmente: não há danos em testar se o mod funciona sozinho! Sim, 1,3 é um animal diferente em comparação com 1.1.x - ou 1.0.x para esse assunto - mas, às vezes, pode-se surpreender com o que acontece. Se você está preocupado com o fato de que ele pode afetar uma gravação atual, você pode copiar sua pasta KSP (sim, mesmo aquela no Steam) para outro local em seu disco rígido, e será tratada como uma instalação separada do KSP, completa com sua própria lista de modificação. As pessoas por aqui fazem isso para criar múltiplas jogadas de jogos com diferentes instalações mod, e também como um laboratório para testar mods antigos, ou modificações que farão para mods. Eu fiz isso para o Universal Docking Ports, um mod que não viu nenhuma atualização desde os dias 1.0.x, depois de notar que alguém testou em 1.2, e eu consegui confirmar que ele funciona para 1.3. 

Em última análise, você deve assumir que não há garantia de que um mod seja atualizado ao lado do KSP - a vida pode ficar no caminho às vezes, e às vezes as pessoas simplesmente seguem para outras coisas. Mas o bom sobre uma comunidade é que, se decidimos que algo é bom demais para desistir, encontramos maneiras de fazê-lo funcionar, dentro dos limites da licença de compartilhamento / modificação anexada ao mod. Deixe essa comunidade ajudar, as dicas acima são como você pode fazê-lo. 

Ok, espero que tenha chegado ao final deste longo post, porque agora você pode voltar para a parte divertida. Agora, se ainda não encontrou a resposta para saber se este mod foi atualizado ou não (e para ser justo, a resposta de ouro é a resposta padrão que ele dá para "Por favor, atualize este Mod" em todos os fóruns, o que você ainda Precisa prestar atenção, por sinal), então esta é a sua recompensa por fazê-lo: há uma atualização não oficial para fazê-lo funcionar.

https://forum.kerbalspaceprogram.com/index.php?/topic/133162-112-orbital-utility-vehicle-v124/&page=8&tab=comments#comment-2832812

Primeiro, baixe e instale o modelo principal do Veículo utilitário Orbital a partir da primeira página. Então, vá para o link acima, leia o que oferece (porque altera algumas coisas do original compatível com 1.1.2) e, em seguida, baixe os patches @Deimos Rast  feito e extraia os arquivos em qualquer lugar dentro do seu GameData (embora para Mantenha as coisas organizadas, você pode fazer uma pasta chamada "AssortedPatches" dentro do GameData e colocar os patches lá, não se preocupe, ainda funcionará).

E sim, com esses patches o mod funcionará em 1.3. Até agora, nenhum problema do meu fim, usando isso. Basta lembrar que você tem que configurar o modo dos motores nucleares para usar o combustível que deseja ( LF ou Monopropelente), preste atenção em que direção esses motores dispararão, não use nenhum dos grapplers como a parte raiz do navio como @ nli2work  disse, e se você vai usar o modelo Kerbal Atomics da Nertea, esses motores usarão o hidrogênio líquido em vez do LF, a menos que você tire o patch para este mod que está localizado dentro da pasta Kerbal Atomics chamada "Patches". 

 

 

Thanks, i will remember =) thanks for the help =)

Share this post


Link to post
Share on other sites
On 09/10/2017 at 5:34 AM, Ogre1983 said:

Could you update this to work with 1.3.1 please :D

... Oh man... :/

Share this post


Link to post
Share on other sites
5 hours ago, Stone Blue said:

what doesnt work in 1.3.1?

haha sorry, when I wrote that I was still learning... I thought that any mod would have to be updated any time ksp is. I know now that if it's parts it usually works fine. 

Share this post


Link to post
Share on other sites
8 minutes ago, Ogre1983 said:

haha sorry, when I wrote that I was still learning... I thought that any mod would have to be updated any time ksp is. I know now that if it's parts it usually works fine. 

Understand that even that isn't guaranteed, but this late in development, having gone to production, it's very unlikely that the part format is going to change where it actually breaks things.

(though there have been the occasional exceptions, such as a certain inflatable habitat mod whose torus habitat has been known to break physics and crash the game in recent KSP updates - but that's due to it mesh rather than due to config file format)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.